## org.eclipse.m2m.atl.adt.ui.editor
Interface IOccurrencesFinder

All Known Implementing Classes:
  AtlOccurrencesFinder

    public interface IOccurrencesFinder

Nested Class Summary
`static class` `IOccurrencesFinder.OccurrenceLocation` Element representing a occurrence

Field Summary
`static int` `F_EXCEPTION_DECLARATION`
`static int` `F_READ_OCCURRENCE`
`static int` `F_WRITE_OCCURRENCE`
`static int` `K_BREAK_TARGET_OCCURRENCE`
`static int` `K_EXCEPTION_OCCURRENCE`
`static int` `K_EXIT_POINT_OCCURRENCE`
`static int` `K_IMPLEMENTS_OCCURRENCE`
`static int` `K_OCCURRENCE`

Method Summary
`java.lang.String` `getElementName()` Returns the name of the element to look for or `null` if the finder hasn't been initialized yet.
`java.lang.String` `getID()` Returns the id of this finder.
`java.lang.String` `getJobLabel()`
`IOccurrencesFinder.OccurrenceLocation[]` `getOccurrences()` Returns the occurrences
`int` `getSearchKind()`
`java.lang.String` `getUnformattedPluralLabel()` Returns the plural label for this finder with 3 placeholders: {0} for the `element name` {1} for the number of results found {2} for the scope (name of the compilation unit)
`java.lang.String` `getUnformattedSingularLabel()` Returns the singular label for this finder with 2 placeholders: {0} for the `element name` {1} for the scope (name of the compilation unit)

Field Detail

### K_OCCURRENCE

    static final int K_OCCURRENCE

See Also:
  Constant Field Values

### K_EXCEPTION_OCCURRENCE

    static final int K_EXCEPTION_OCCURRENCE

See Also:
  Constant Field Values

### K_EXIT_POINT_OCCURRENCE

    static final int K_EXIT_POINT_OCCURRENCE

See Also:
  Constant Field Values

### K_IMPLEMENTS_OCCURRENCE

    static final int K_IMPLEMENTS_OCCURRENCE

See Also:
  Constant Field Values

### K_BREAK_TARGET_OCCURRENCE

    static final int K_BREAK_TARGET_OCCURRENCE

See Also:
  Constant Field Values

### F_WRITE_OCCURRENCE

    static final int F_WRITE_OCCURRENCE

See Also:
  Constant Field Values

### F_READ_OCCURRENCE

    static final int F_READ_OCCURRENCE

See Also:
  Constant Field Values

### F_EXCEPTION_DECLARATION

    static final int F_EXCEPTION_DECLARATION

See Also:
  Constant Field Values

Method Detail

### getJobLabel

    java.lang.String getJobLabel()

### getUnformattedPluralLabel

    java.lang.String getUnformattedPluralLabel()

  Returns the plural label for this finder with 3 placeholders:
  - {0} for the `element name`
  - {1} for the number of results found
  - {2} for the scope (name of the compilation unit)

  Returns:
    the unformatted label

### getUnformattedSingularLabel

    java.lang.String getUnformattedSingularLabel()

  Returns the singular label for this finder with 2 placeholders:
  - {0} for the `element name`
  - {1} for the scope (name of the compilation unit)

  Returns:
    the unformatted label

### getElementName

    java.lang.String getElementName()

  Returns the name of the element to look for or `null` if the finder hasn't been initialized yet.

  Returns:
    the name of the element

### getOccurrences

    IOccurrencesFinder.OccurrenceLocation[] getOccurrences()

  Returns the occurrences

  Returns:
    the occurrences

### getSearchKind

    int getSearchKind()

### getID

    java.lang.String getID()

  Returns the id of this finder.

  Returns:
    returns the id of this finder.

Copyright 2007 IBM Corporation and others. All Rights Reserved.